local old_init = WeaponFactoryTweakData.init

function WeaponFactoryTweakData:init(tweak_data)
    old_init(self, tweak_data)
	self.wpn_fps_bow_long.override = {	
		wpn_fps_long_o_reflex = {
				stats = {concealment = -1, spread = 1},
			stance_mod = {
				wpn_fps_bow_long = {
				-- (,Profondita Positivo lontano negativo vicino,)
				-- "ironsight" for bow : translation = Vector3( 0.27 ,8.9,2.3 )
					--translation = Vector3( 0.025,-13,-3.35 ) + Vector3(0, 4, 0)
					--translation = Vector3( 0.27 ,8.2,2.3 )-- + Vector3(0, 0, 0)
					}
				}
			}	 
		}
	self.wpn_fps_bow_long.adds = { 
			--wpn_fps_upg_o_reflex = { "wpn_fps_ak_extra_ris" }
	}

self.parts.wpn_fps_bow_long_body_compound.pcs = {10,20,30,40}
self.parts.wpn_fps_bow_long_body_compound.stats = {concealment = 1,total_ammo_mod = 0}
self.parts.wpn_fps_bow_long_body_compound.override = { wpn_fps_bow_long_body_standard = { unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy" } }
--[[self.parts.wpn_fps_bow_long_body_compound.custom_stats = { armor_piercing_add = 1,
			fire_dot_data = {
				dot_damage = "1",
				dot_trigger_max_distance = "3000",
				dot_trigger_chance = "100",
				dot_length = "3",
				dot_tick_period = "0.1s"
			} 
			}
self.wpn_fps_bow_long.armor_piercing_chance = 0.99]]

table.insert(self.wpn_fps_bow_long.uses_parts, "wpn_fps_upg_fl_pis_crimson")		


end	